/*
 *   Copyright (c) International Business Machines  Corp., 2000
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software 
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef H_DISKMAP
#define H_DISKMAP

#include <jfs_types.h>  /* s8, s32, s64, u32 */

s8   ujfs_maxbuddy(unsigned char *);
s8   ujfs_adjtree(s8 *, s32, s32);
void ujfs_complete_dmap(dmap_t *, s64, s8 *);
void ujfs_idmap_page(dmap_t *, u32);
s32  ujfs_getagl2size(s64, s32);

#endif	/* H_DISKMAP */
